Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::PropertyGetter Struct Reference

Base struct for custom property getters. More...

Inheritance diagram for osgIntrospection::PropertyGetter:

[legend]
List of all members.

## Public Member Functions
virtual Value | get (Value &, const ValueList &) const
virtual Value | get (Value &) const
virtual Value | get (Value &, int) const
virtual Value | get (const Value &, const ValueList &) const
virtual Value | get (const Value &) const
virtual Value | get (const Value &, int) const
virtual | ~PropertyGetter ()

## Detailed Description

Base struct for custom property getters.

Descendants may override one or more of the get() methods to provide the means for retrieving the value of a property. The first version of get() is used with indexed properties, the second one serves simple properties and the last one is used with array properties.

## Constructor & Destructor Documentation

virtual osgIntrospection::PropertyGetter::~PropertyGetter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Value osgIntrospection::PropertyGetter::get | ( | const Value & | ,
|  | int |
| ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdVectorReflector< T, VT >::Getter, osgIntrospection::StdSetReflector< T, VT >::Getter, and osgIntrospection::StdListReflector< T, VT >::Getter.

virtual Value osgIntrospection::PropertyGetter::get | ( | const Value & |  | ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdPairReflector< T, PT1, PT2 >::Accessor.

virtual Value osgIntrospection::PropertyGetter::get | ( | const Value & | ,
|  | const ValueList & |
| ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdMapReflector< T, IT, VT >::Getter.

virtual Value osgIntrospection::PropertyGetter::get | ( | Value & | ,
|  | int |
| ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdVectorReflector< T, VT >::Getter, osgIntrospection::StdSetReflector< T, VT >::Getter, and osgIntrospection::StdListReflector< T, VT >::Getter.

virtual Value osgIntrospection::PropertyGetter::get | ( | Value & |  | ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdPairReflector< T, PT1, PT2 >::Accessor.

virtual Value osgIntrospection::PropertyGetter::get | ( | Value & | ,
|  | const ValueList & |
| ) | const`[inline, virtual]`

| Reimplemented in osgIntrospection::StdMapReflector< T, IT, VT >::Getter.

The documentation for this struct was generated from the following file:

- Attributes